CVE-2004-1120

Current Description

Multiple buffer overflows in (1) http.c, (2) http-retr.c, (3) main.c and other code that handles network protocols in ProZilla 1.3.6-r2 and earlier allow remote servers to execute arbitrary code via a long Location header.

Basic Data

PublishedJanuary 10, 2005
Last ModifiedJuly 11, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeNVD-CWE-Other
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:L/Au:N/C:C/I:C/A:C
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactCOMPLETE
CVSS 2 - Availability ImpactCOMPLETE
CVSS 2 - Base Score10.0
SeverityHIGH
Exploitability Score10.0
Impact Score10.0
Obtain All Privilegetrue
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationProzillaProzilla Download Accelerator1.0.0*******
    2.3ApplicationProzillaProzilla Download Accelerator1.3.0*******
    2.3ApplicationProzillaProzilla Download Accelerator1.3.1*******
    2.3ApplicationProzillaProzilla Download Accelerator1.3.2*******
    2.3ApplicationProzillaProzilla Download Accelerator1.3.3*******
    2.3ApplicationProzillaProzilla Download Accelerator1.3.4*******
    2.3ApplicationProzillaProzilla Download Accelerator1.3.5*******
    2.3ApplicationProzillaProzilla Download Accelerator1.3.5.1*******
    2.3ApplicationProzillaProzilla Download Accelerator1.3.5.2*******
    2.3ApplicationProzillaProzilla Download Accelerator1.3.6*******

Vulnerable Software List

VendorProductVersions
Prozilla Prozilla Download Accelerator 1.0.0, 1.3.0, 1.3.1, 1.3.2, 1.3.3, 1.3.4, 1.3.5, 1.3.5.1, 1.3.5.2, 1.3.6

References

NameSourceURLTags
http://bugs.gentoo.org/show_bug.cgi?id=70090http://bugs.gentoo.org/show_bug.cgi?id=70090CONFIRM
DSA-663http://www.debian.org/security/2005/dsa-663DEBIAN
GLSA-200411-31http://www.gentoo.org/security/en/glsa/glsa-200411-31.xmlGENTOOVendor Advisory
20041124 Prozilla Remote Exploithttp://www.securityfocus.com/archive/1/382219BUGTRAQ
11734http://www.securityfocus.com/bid/11734BIDExploit Vendor Advisory
prozilla-bo(18210)https://exchange.xforce.ibmcloud.com/vulnerabilities/18210XF